Bug 177197 - traceback when starting hwbrowser
traceback when starting hwbrowser
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hwbrowser (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-07 01:33 EST by petrosyan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 08:47:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch (1.17 KB, patch)
2006-01-20 20:37 EST, Frank Arnold
no flags Details | Diff

  None (edit)
Description petrosyan 2006-01-07 01:33:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:


Version-Release number of selected component (if applicable):
hwbrowser-0.24-1.1

How reproducible:
Always

Steps to Reproduce:
1. run hwbrowser from a terminal

Actual Results:  the following traceback shows up:
$ hwbrowser
Traceback (most recent call last):
  File "/usr/share/hwbrowser/DeviceList.py", line 179, in on_device_type_select_row
    key = model.get_value (iter, 1)
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/hwbrowser/DeviceGeneric.py", line 56, in on_generic_device_select_row
    xml.get_widget ('generic_driver_label').set_text (driver)
TypeError: GtkLabel.set_text() argument 1 must be string, not None
Traceback (most recent call last):
  File "/usr/share/hwbrowser/DeviceGeneric.py", line 56, in on_generic_device_select_row
    xml.get_widget ('generic_driver_label').set_text (driver)
TypeError: GtkLabel.set_text() argument 1 must be string, not None

Additional info:
Comment 1 Frank Arnold 2006-01-20 20:37:06 EST
Created attachment 123515 [details]
Proposed patch

Just wondered why my CD/DVD drive runs with appletouch driver... ;)
The labels were not properly updated.

This patch fixes both errors, and marks one string as translatable ("None or
built-in").
Comment 2 petrosyan 2006-02-08 00:02:55 EST
this bug is still present in hwbrowser-0.25-1
Comment 3 Nils Philippsen 2006-02-13 08:47:00 EST
I've applied the patch in hwbrowser-0.26. Thanks, Frank.

Note You need to log in before you can comment on or make changes to this bug.